# League, Season, Schedule, Stage and Round

### League

#### **Available in endpoints**

{% content-ref url="/pages/IFIJqlD2NfuFlGE3hvEW" %}
[Leagues](/v3/endpoints-and-entities/endpoints/leagues.md)
{% endcontent-ref %}

#### **Field Description**

<table><thead><tr><th width="235.8403990024938">Field</th><th width="268.3333333333333"></th><th>Type</th></tr></thead><tbody><tr><td>id</td><td>Refers to the unique id of th league</td><td>integer</td></tr><tr><td>sport_id</td><td>Refers to the sport of the league</td><td>integer</td></tr><tr><td>country_id</td><td>Refers to the country of the league</td><td>integer</td></tr><tr><td>name</td><td>The name of the league</td><td>string</td></tr><tr><td>active</td><td>Indicates if the league is active or inactive</td><td>integer</td></tr><tr><td>short_code</td><td>The short code of the league</td><td>string / null</td></tr><tr><td>image_path</td><td>Image path to the league logo</td><td>string</td></tr><tr><td>type</td><td>Indicates the type of the league</td><td>string</td></tr><tr><td>sub_type</td><td>Indicates the subtype of the league</td><td>string</td></tr><tr><td>last_played_at</td><td>The date of when the last fixture was played in the league</td><td>string</td></tr><tr><td>category</td><td>This illustrates the 'importance' of the league. Category 1 are the more well-known leagues while category 4 are more obscure leagues. </td><td>integer</td></tr></tbody></table>

#### Include options

[`sport`](https://docs.sportmonks.com/v3/core-api/)  [`country`](https://docs.sportmonks.com/football2/v/core/endpoints/countries)  [`stages`](#stage) [`latest`](/v3/endpoints-and-entities/entities/fixture.md#fixture) [`upcoming`](/v3/endpoints-and-entities/entities/fixture.md#fixture) [`inplay`](/v3/endpoints-and-entities/entities/fixture.md#fixture) [`today`](/v3/endpoints-and-entities/entities/fixture.md#fixture) [`currentSeason`](#season) [`seasons`](#season)

**Sorting options**

`name`

### Season

#### **Available in endpoints**

{% content-ref url="/pages/SHCMNdZweCTYCQAuBlet" %}
[Seasons](/v3/endpoints-and-entities/endpoints/seasons.md)
{% endcontent-ref %}

#### **Field Description**

<table><thead><tr><th>Field</th><th width="268.3333333333333"></th><th>Type</th></tr></thead><tbody><tr><td>id</td><td>Refers to the id of the season</td><td>integer</td></tr><tr><td>sport_id</td><td>Refers to the sport of the season</td><td>integer</td></tr><tr><td>league_id</td><td>Refers to the league of the season</td><td>integer</td></tr><tr><td>tie_breaker_rule_id</td><td>Refers to the type of tie-breaker rule used to determine the season winner</td><td>integer</td></tr><tr><td>name</td><td>The name of the season</td><td>string</td></tr><tr><td>finished</td><td>Indicates if the season finished or not</td><td>integer</td></tr><tr><td>pending</td><td>Indicates if the season is pending or not</td><td>integer</td></tr><tr><td>is_current</td><td>Indicates if the season is the current season or not</td><td>integer</td></tr><tr><td>standing_method</td><td>Returns the standing calculation used in the season</td><td>string</td></tr><tr><td>starting_at</td><td>The starting date of the season</td><td>string</td></tr><tr><td>ending_at</td><td>The end date of the season</td><td>string</td></tr><tr><td>standings_recalculated_at</td><td>Indicates the last time the standings for this season were recalculated. </td><td>string</td></tr><tr><td>games_in_current_week</td><td>Indicates if the season has fixtures in the current week. </td><td>boolean</td></tr></tbody></table>

#### Include options

[`sport`](https://docs.sportmonks.com/v3/core-api/) [`league`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md) [`teams`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#team) [`stages`](#stage) [`currentStage`](#stage) [`fixtures`](/v3/endpoints-and-entities/entities/fixture.md#fixture) [`groups`](#group) [`statistics`](/v3/endpoints-and-entities/entities/statistic.md#seasonstatistic) [`topscorers`](/v3/endpoints-and-entities/entities/standing-and-topscorer.md#topscorers)

**Sorting options**

`name`

### **Stage**

#### **Available in endpoints**

{% content-ref url="/pages/qua56OGOwH2K5oB8HIfd" %}
[Stages](/v3/endpoints-and-entities/endpoints/stages.md)
{% endcontent-ref %}

#### **Field Description**

| Field                  | Description                                                   | Type    |
| ---------------------- | ------------------------------------------------------------- | ------- |
| id                     | Refers to the unique id of the stage                          | integer |
| sport\_id              | Refers to the sport of the stage                              | integer |
| league\_id             | Refers to the league related to the stage                     | integer |
| season\_id             | Refers to the season related to the stage                     | integer |
| type\_id               | Indicates what the stage type is                              | integer |
| name                   | Returns the name of the stage                                 | string  |
| sort\_order            | Returns the order of the stage                                | integer |
| finished               | Indicates if the stage is finished or not                     | boolean |
| pending                | Indicates if the stage is pending or not                      | boolean |
| is\_current            | Indicates if the stage is the current stage or not            | boolean |
| starting\_at           | The starting date of the stage                                | string  |
| ending\_at             | The end date of the stage                                     | string  |
| tie\_breaker\_rule\_id | Returns the ID of the tiebreaker that is used for this stage. | integer |

#### Include options

[`league`](/v3/endpoints-and-entities/endpoints/leagues.md) [`season`](/v3/endpoints-and-entities/endpoints/seasons.md) [`type`](https://docs.sportmonks.com/football2/v/core/endpoints/types) [`sport`](https://docs.sportmonks.com/v3/core-api/) [`rounds`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#round) [`currentRound`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#round) [`groups`](/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#group) [`fixtures`](/v3/endpoints-and-entities/entities/fixture.md#fixture) [`aggregates`](/v3/endpoints-and-entities/entities/fixture.md#aggregate)  [`topscorers`](/v3/endpoints-and-entities/entities/standing-and-topscorer.md#topscorers) [`statistics`](/v3/endpoints-and-entities/entities/statistic.md#fixturestatistic)&#x20;

**Sorting options**

`name`

### Round

#### Available in endpoints

{% content-ref url="/pages/ArVC2uyLltV2MANLyN7x" %}
[Rounds](/v3/endpoints-and-entities/endpoints/rounds.md)
{% endcontent-ref %}

#### Field Description

| Field                    | Description                                                | Type    |
| ------------------------ | ---------------------------------------------------------- | ------- |
| id                       | Refers to the unique id of the requested round             | integer |
| sport\_id                | Refers to the sport id of the requested round              | integer |
| league\_id               | Refers to the league id of the requested round             | integer |
| season\_id               | Refers to the season id of the requested round             | integer |
| stage\_id                | Refers to the stage id of the requested round              | integer |
| name                     | Returns the name of the requested round                    | string  |
| finished                 | Indicates if the requested round is finished or not        | boolean |
| is\_current              | Indicates if the requested round is the current one or not | boolean |
| starting\_at             | Returns the starting date of the round                     | string  |
| ending\_at               | Returns the ending date of the round                       | string  |
| games\_in\_current\_week | Indicates if the round has fixtures in the current week.   | boolean |

#### Include options

[`sport`](https://docs.sportmonks.com/v3/core-api/) [`league`](#league) [`season`](#season) [`stage`](#stage) [`fixtures`](/v3/endpoints-and-entities/entities/fixture.md#fixture) [`statistics`](/v3/endpoints-and-entities/entities/statistic.md#fixturestatistic)&#x20;

**Sorting options**

`name`

### Group

#### Field Description

| Field        | Description                                    | Type    |
| ------------ | ---------------------------------------------- | ------- |
| id           | Refers to the unique id of the requested group | integer |
| sport\_id    | Refers to the sport id of the requested group  | integer |
| league\_id   | Refers to the league id of the requested group | integer |
| season\_id   | Refers to the season id of the requested group | integer |
| stage\_id    | Refers to the stage id of the requested group  | integer |
| name         | Returns the name of the requested round        | string  |
| starting\_at | Returns the starting date of the group         | string  |
| ending\_at   | Returns the ending date of the group           | string  |

#### Include options

`none`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
